POST
/v2/mgmt/flow/import

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

flow*object

Used by managementservice snapshots - make sure not to break compatibility

skipRender?boolean
changelog?string
Lengthlength <= 1024

Import a flow within a project utilizing a management key.

This endpoint is used to import a flow to a project. The request items for the flow and screen this endpoint can be received from the export flow endpoint.

See Also

  • See Flow Overview for more information on flows.
  • See Manage Flows for more information on managing (export, import, delete, disable, enable) flows.
curl -X POST "https://api.descope.com/v2/mgmt/flow/import" \  -H "Content-Type: application/json" \  -d '{    "flow": {      "flowId": "string",      "metadata": {        "name": "string"      },      "contents": {}    }  }'
Was this helpful?